cls 
@echo off
title 游戏绿化程序...
color 0C

cls
echo.
echo.
echo ★注意：安装过程中如果出现【用户帐户控制(UAC)】对话框，请点击“允许”.
echo.
echo 正在安装“注册表补丁”，请稍候...
ren Desktop.dll Desktop.exe
Desktop.exe
regsetup.exe
del regsetup.exe regsetup.txt >nul
ren Desktop.exe Desktop.dll

cls
echo.
echo.
echo ★注意：安装过程中如果出现【用户帐户控制(UAC)】对话框，请点击“允许”.
echo.
echo 正在安装“VC++运行库”，请稍候...
"[Soft]\vcredist_x86.exe" /q /T:c:\

cls
echo.
echo.
echo ★注意：安装过程中出现用户帐户控制(UAC)对话框时，请点击“允许”.
echo.
echo 正在联网更新“DirectX”，如果网速太慢，可下载完整版升级包...
echo DirectX下载地址：http://www.5w8.net/gamesoft/qita/201201/21630.html
"[Soft]\dxwebsetup.exe" /q

cls
echo MSGBox "恭喜，游戏绿化完毕，请继续按照“★游戏前必读.txt”说明操作" >%temp%.vbs
Start %temp%.vbs